Skip to main content
POST
Create Order
VWAP and TWAPVWAP and TWAP orders must have a minimum notional of $100/hr and also include these additional parameters: limit_price, start_time and expiry_time.
Use the Prime SDK or CLI to test this endpoint by following the quickstart guide and running with the following examples
For more information, please visit the Prime Java SDK.

Path Parameters

portfolio_id
string
required

The ID of the portfolio that owns the order

Body

application/json
product_id
string
required
side
enum<string>
required
  • UNKNOWN_ORDER_SIDE: nil value
  • BUY: Buy order
  • SELL: Sell order
Available options:
BUY,
SELL
client_order_id
string
required
type
enum<string>
required
Available options:
MARKET,
LIMIT,
TWAP,
BLOCK,
VWAP,
STOP_LIMIT,
RFQ,
PEG
base_quantity
string
quote_value
string
limit_price
string
start_time
string<date-time>
expiry_time
string<date-time>
time_in_force
enum<string>
  • UNKNOWN_TIME_IN_FORCE: nil value
  • GOOD_UNTIL_DATE_TIME: Expires at a certain date/time
  • GOOD_UNTIL_CANCELLED: Order stays on the books until cancelled
  • IMMEDIATE_OR_CANCEL: Order is executed immediately at submission or is cancelled
  • FILL_OR_KILL: Order is executed immediately and fully at submission or is cancelled
Available options:
GOOD_UNTIL_DATE_TIME,
GOOD_UNTIL_CANCELLED,
IMMEDIATE_OR_CANCEL,
FILL_OR_KILL
stp_id
string
display_quote_size
string

Optionally specify a display size. This is the maximum order size that will show up on venue order books. Specifying a value here effectively makes a LIMIT order into an "iceberg" style order. This property only applies to LIMIT orders and will be ignored for other order types.

display_base_size
string
is_raise_exact
boolean
historical_pov
string
stop_price
string
settl_currency
string
post_only
boolean

Post-only flag - when true, the order will only be posted to the order book and not immediately matched. Only applicable to LIMIT orders with GTC or GTD time in force.

peg_offset_type
enum<string>
  • UNKNOWN_PEG_OFFSET_TYPE: nil value
  • PEG_OFFSET_TYPE_PRICE: Offset specified in price units
  • PEG_OFFSET_TYPE_BPS: Offset specified in basis points (BPS)
  • PEG_OFFSET_TYPE_DEPTH: Offset specified in depth
Available options:
PEG_OFFSET_TYPE_PRICE,
PEG_OFFSET_TYPE_BPS,
PEG_OFFSET_TYPE_DEPTH
offset
string
wig_level
string

next: 23

Response

200 - application/json

A successful response.

order_id
string

The order ID generated by Coinbase

Example:

"ba0eb21c-672b-44de-8342-d6363cef87f0"